import React, { CSSProperties, HTMLAttributes, ReactNode } from 'react';
export interface ICarousel extends HTMLAttributes<HTMLDivElement> {
    aspectRatio?: string;
    children: ReactNode;
    duration?: number;
}
export declare const ItemStyle: CSSProperties;
export declare const Carousel: ({ aspectRatio, children, duration }: ICarousel) => React.JSX.Element;
