import React, { ComponentPropsWithoutRef } from 'react';
export interface IFloatingTextbox extends ComponentPropsWithoutRef<'input'> {
    additionalClassName?: string;
    caption: string;
    helpText?: string;
    id: string;
    placeholder: string;
}
export declare const FloatingTextbox: ({ additionalClassName, caption, helpText, id, placeholder, ...rest }: IFloatingTextbox) => React.JSX.Element;
