"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SlideDown = void 0;
const web_1 = require("@react-spring/web");
const react_1 = __importDefault(require("react"));
const SlideDown = ({ children, isDown = false, topMargin = '75vh', style }) => {
    const anim = (0, web_1.useSpring)({
        marginTop: isDown ? topMargin : '0vh',
        ...style
    });
    return (react_1.default.createElement(web_1.animated.div, { style: anim }, children));
};
exports.SlideDown = SlideDown;
//# sourceMappingURL=slideDown.js.map