"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Icon = exports.KnownIcon = exports.XSquare = exports.ThumbUpFill = exports.ThumbUp = exports.ThumbDownFill = exports.ThumbDown = exports.PersonSquare = exports.PersonCircle = exports.MagnifyingGlass = exports.List = exports.Image = exports.Film = exports.EyeFill = exports.Eye = exports.CaretDownFill = exports.CameraVideoFillSlash = exports.CameraVideoFill = exports.CameraVideoSlash = exports.CameraVideo = exports.BookmarkCheckFill = void 0;
const react_1 = __importDefault(require("react"));
const BookmarkCheckFill = ({ ...rest }) => {
    return (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 16 16", ...rest },
        react_1.default.createElement("path", { fillRule: "evenodd", d: "M2 15.5V2a2 2 0 0 1 2-2h8a2 2 0 0 1 2 2v13.5a.5.5 0 0 1-.74.439L8 13.069l-5.26 2.87A.5.5 0 0 1 2 15.5zm8.854-9.646a.5.5 0 0 0-.708-.708L7.5 7.793 6.354 6.646a.5.5 0 1 0-.708.708l1.5 1.5a.5.5 0 0 0 .708 0l3-3z" })));
};
exports.BookmarkCheckFill = BookmarkCheckFill;
const CameraVideo = ({ ...rest }) => {
    return (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: '0 0 16 16', ...rest },
        react_1.default.createElement("path", { fillRule: "evenodd", d: "M0 5a2 2 0 0 1 2-2h7.5a2 2 0 0 1 1.983 1.738l3.11-1.382A1 1 0 0 1 16 4.269v7.462a1 1 0 0 1-1.406.913l-3.111-1.382A2 2 0 0 1 9.5 13H2a2 2 0 0 1-2-2V5zm11.5 5.175 3.5 1.556V4.269l-3.5 1.556v4.35zM2 4a1 1 0 0 0-1 1v6a1 1 0 0 0 1 1h7.5a1 1 0 0 0 1-1V5a1 1 0 0 0-1-1H2z" })));
};
exports.CameraVideo = CameraVideo;
const CameraVideoSlash = ({ ...rest }) => {
    return (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: '0 0 16 16', ...rest },
        react_1.default.createElement("path", { fillRule: "evenodd", d: "M10.961 12.365a1.99 1.99 0 0 0 .522-1.103l3.11 1.382A1 1 0 0 0 16 11.731V4.269a1 1 0 0 0-1.406-.913l-3.111 1.382A2 2 0 0 0 9.5 3H4.272l.714 1H9.5a1 1 0 0 1 1 1v6a1 1 0 0 1-.144.518l.605.847zM1.428 4.18A.999.999 0 0 0 1 5v6a1 1 0 0 0 1 1h5.014l.714 1H2a2 2 0 0 1-2-2V5c0-.675.334-1.272.847-1.634l.58.814zM15 11.73l-3.5-1.555v-4.35L15 4.269v7.462zm-4.407 3.56-10-14 .814-.58 10 14-.814.58z" })));
};
exports.CameraVideoSlash = CameraVideoSlash;
const CameraVideoFill = ({ ...rest }) => {
    return (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: '0 0 16 16', ...rest },
        react_1.default.createElement("path", { fillRule: "evenodd", d: "M0 5a2 2 0 0 1 2-2h7.5a2 2 0 0 1 1.983 1.738l3.11-1.382A1 1 0 0 1 16 4.269v7.462a1 1 0 0 1-1.406.913l-3.111-1.382A2 2 0 0 1 9.5 13H2a2 2 0 0 1-2-2V5z" })));
};
exports.CameraVideoFill = CameraVideoFill;
const CameraVideoFillSlash = ({ ...rest }) => {
    return (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: '0 0 16 16', ...rest },
        react_1.default.createElement("path", { fillRule: "evenodd", d: "M10.961 12.365a1.99 1.99 0 0 0 .522-1.103l3.11 1.382A1 1 0 0 0 16 11.731V4.269a1 1 0 0 0-1.406-.913l-3.111 1.382A2 2 0 0 0 9.5 3H4.272l6.69 9.365zm-10.114-9A2.001 2.001 0 0 0 0 5v6a2 2 0 0 0 2 2h5.728L.847 3.366zm9.746 11.925-10-14 .814-.58 10 14-.814.58z" })));
};
exports.CameraVideoFillSlash = CameraVideoFillSlash;
const CaretDownFill = ({ ...rest }) => {
    return (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: '0 0 16 16', ...rest },
        react_1.default.createElement("path", { d: "M7.247 11.14 2.451 5.658C1.885 5.013 2.345 4 3.204 4h9.592a1 1 0 0 1 .753 1.659l-4.796 5.48a1 1 0 0 1-1.506 0z" })));
};
exports.CaretDownFill = CaretDownFill;
const Eye = ({ ...rest }) => {
    return (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: '0 0 16 16', ...rest },
        react_1.default.createElement("path", { d: "M16 8s-3-5.5-8-5.5S0 8 0 8s3 5.5 8 5.5S16 8 16 8zM1.173 8a13.133 13.133 0 0 1 1.66-2.043C4.12 4.668 5.88 3.5 8 3.5c2.12 0 3.879 1.168 5.168 2.457A13.133 13.133 0 0 1 14.828 8c-.058.087-.122.183-.195.288-.335.48-.83 1.12-1.465 1.755C11.879 11.332 10.119 12.5 8 12.5c-2.12 0-3.879-1.168-5.168-2.457A13.134 13.134 0 0 1 1.172 8z" }),
        react_1.default.createElement("path", { d: "M8 5.5a2.5 2.5 0 1 0 0 5 2.5 2.5 0 0 0 0-5zM4.5 8a3.5 3.5 0 1 1 7 0 3.5 3.5 0 0 1-7 0z" })));
};
exports.Eye = Eye;
const EyeFill = ({ ...rest }) => {
    return (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: '0 0 16 16', ...rest },
        react_1.default.createElement("path", { d: "M10.5 8a2.5 2.5 0 1 1-5 0 2.5 2.5 0 0 1 5 0z" }),
        react_1.default.createElement("path", { d: "M0 8s3-5.5 8-5.5S16 8 16 8s-3 5.5-8 5.5S0 8 0 8zm8 3.5a3.5 3.5 0 1 0 0-7 3.5 3.5 0 0 0 0 7z" })));
};
exports.EyeFill = EyeFill;
const Film = ({ ...rest }) => {
    return (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: '0 0 16 16', ...rest },
        react_1.default.createElement("path", { d: "M0 1a1 1 0 0 1 1-1h14a1 1 0 0 1 1 1v14a1 1 0 0 1-1 1H1a1 1 0 0 1-1-1V1zm4 0v6h8V1H4zm8 8H4v6h8V9zM1 1v2h2V1H1zm2 3H1v2h2V4zM1 7v2h2V7H1zm2 3H1v2h2v-2zm-2 3v2h2v-2H1zM15 1h-2v2h2V1zm-2 3v2h2V4h-2zm2 3h-2v2h2V7zm-2 3v2h2v-2h-2zm2 3h-2v2h2v-2z" })));
};
exports.Film = Film;
const Image = ({ ...rest }) => {
    return (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 16 16", ...rest },
        react_1.default.createElement("path", { d: "M6.002 5.5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0z" }),
        react_1.default.createElement("path", { d: "M2.002 1a2 2 0 0 0-2 2v10a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V3a2 2 0 0 0-2-2h-12zm12 1a1 1 0 0 1 1 1v6.5l-3.777-1.947a.5.5 0 0 0-.577.093l-3.71 3.71-2.66-1.772a.5.5 0 0 0-.63.062L1.002 12V3a1 1 0 0 1 1-1h12z" })));
};
exports.Image = Image;
const List = ({ ...rest }) => {
    return (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: '0 0 16 16', ...rest },
        react_1.default.createElement("path", { fillRule: "evenodd", d: "M2.5 12a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm0-4a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm0-4a.5.5 0 0 1 .5-.5h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5z" })));
};
exports.List = List;
const MagnifyingGlass = ({ ...rest }) => {
    return (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: '0 0 16 16', ...rest },
        react_1.default.createElement("path", { d: "M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z" })));
};
exports.MagnifyingGlass = MagnifyingGlass;
const PersonCircle = ({ ...rest }) => {
    return (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: '0 0 16 16', ...rest },
        react_1.default.createElement("path", { d: "M11 6a3 3 0 1 1-6 0 3 3 0 0 1 6 0z" }),
        react_1.default.createElement("path", { fillRule: "evenodd", d: "M0 8a8 8 0 1 1 16 0A8 8 0 0 1 0 8zm8-7a7 7 0 0 0-5.468 11.37C3.242 11.226 4.805 10 8 10s4.757 1.225 5.468 2.37A7 7 0 0 0 8 1z" })));
};
exports.PersonCircle = PersonCircle;
const PersonSquare = ({ ...rest }) => {
    return (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: '0 0 16 16', ...rest },
        react_1.default.createElement("path", { d: "M11 6a3 3 0 1 1-6 0 3 3 0 0 1 6 0z" }),
        react_1.default.createElement("path", { d: "M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm12 1a1 1 0 0 1 1 1v12a1 1 0 0 1-1 1v-1c0-1-1-4-6-4s-6 3-6 4v1a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1h12z" })));
};
exports.PersonSquare = PersonSquare;
const ThumbDown = ({ ...rest }) => {
    return (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 16 16", ...rest },
        react_1.default.createElement("path", { d: "M8.864 15.674c-.956.24-1.843-.484-1.908-1.42-.072-1.05-.23-2.015-.428-2.59-.125-.36-.479-1.012-1.04-1.638-.557-.624-1.282-1.179-2.131-1.41C2.685 8.432 2 7.85 2 7V3c0-.845.682-1.464 1.448-1.546 1.07-.113 1.564-.415 2.068-.723l.048-.029c.272-.166.578-.349.97-.484C6.931.08 7.395 0 8 0h3.5c.937 0 1.599.478 1.934 1.064.164.287.254.607.254.913 0 .152-.023.312-.077.464.201.262.38.577.488.9.11.33.172.762.004 1.15.069.13.12.268.159.403.077.27.113.567.113.856 0 .289-.036.586-.113.856-.035.12-.08.244-.138.363.394.571.418 1.2.234 1.733-.206.592-.682 1.1-1.2 1.272-.847.283-1.803.276-2.516.211a9.877 9.877 0 0 1-.443-.05 9.364 9.364 0 0 1-.062 4.51c-.138.508-.55.848-1.012.964l-.261.065zM11.5 1H8c-.51 0-.863.068-1.14.163-.281.097-.506.229-.776.393l-.04.025c-.555.338-1.198.73-2.49.868-.333.035-.554.29-.554.55V7c0 .255.226.543.62.65 1.095.3 1.977.997 2.614 1.709.635.71 1.064 1.475 1.238 1.977.243.7.407 1.768.482 2.85.025.362.36.595.667.518l.262-.065c.16-.04.258-.144.288-.255a8.34 8.34 0 0 0-.145-4.726.5.5 0 0 1 .595-.643h.003l.014.004.058.013a8.912 8.912 0 0 0 1.036.157c.663.06 1.457.054 2.11-.163.175-.059.45-.301.57-.651.107-.308.087-.67-.266-1.021L12.793 7l.353-.354c.043-.042.105-.14.154-.315.048-.167.075-.37.075-.581 0-.211-.027-.414-.075-.581-.05-.174-.111-.273-.154-.315l-.353-.354.353-.354c.047-.047.109-.176.005-.488a2.224 2.224 0 0 0-.505-.804l-.353-.354.353-.354c.006-.005.041-.05.041-.17a.866.866 0 0 0-.121-.415C12.4 1.272 12.063 1 11.5 1z" })));
};
exports.ThumbDown = ThumbDown;
const ThumbDownFill = ({ ...rest }) => {
    return (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 16 16", ...rest },
        react_1.default.createElement("path", { d: "M6.956 14.534c.065.936.952 1.659 1.908 1.42l.261-.065a1.378 1.378 0 0 0 1.012-.965c.22-.816.533-2.512.062-4.51.136.02.285.037.443.051.713.065 1.669.071 2.516-.211.518-.173.994-.68 1.2-1.272a1.896 1.896 0 0 0-.234-1.734c.058-.118.103-.242.138-.362.077-.27.113-.568.113-.856 0-.29-.036-.586-.113-.857a2.094 2.094 0 0 0-.16-.403c.169-.387.107-.82-.003-1.149a3.162 3.162 0 0 0-.488-.9c.054-.153.076-.313.076-.465a1.86 1.86 0 0 0-.253-.912C13.1.757 12.437.28 11.5.28H8c-.605 0-1.07.08-1.466.217a4.823 4.823 0 0 0-.97.485l-.048.029c-.504.308-.999.61-2.068.723C2.682 1.815 2 2.434 2 3.279v4c0 .851.685 1.433 1.357 1.616.849.232 1.574.787 2.132 1.41.56.626.914 1.28 1.039 1.638.199.575.356 1.54.428 2.591z" })));
};
exports.ThumbDownFill = ThumbDownFill;
const ThumbUp = ({ ...rest }) => {
    return (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 16 16", ...rest },
        react_1.default.createElement("path", { d: "M8.864.046C7.908-.193 7.02.53 6.956 1.466c-.072 1.051-.23 2.016-.428 2.59-.125.36-.479 1.013-1.04 1.639-.557.623-1.282 1.178-2.131 1.41C2.685 7.288 2 7.87 2 8.72v4.001c0 .845.682 1.464 1.448 1.545 1.07.114 1.564.415 2.068.723l.048.03c.272.165.578.348.97.484.397.136.861.217 1.466.217h3.5c.937 0 1.599-.477 1.934-1.064a1.86 1.86 0 0 0 .254-.912c0-.152-.023-.312-.077-.464.201-.263.38-.578.488-.901.11-.33.172-.762.004-1.149.069-.13.12-.269.159-.403.077-.27.113-.568.113-.857 0-.288-.036-.585-.113-.856a2.144 2.144 0 0 0-.138-.362 1.9 1.9 0 0 0 .234-1.734c-.206-.592-.682-1.1-1.2-1.272-.847-.282-1.803-.276-2.516-.211a9.84 9.84 0 0 0-.443.05 9.365 9.365 0 0 0-.062-4.509A1.38 1.38 0 0 0 9.125.111L8.864.046zM11.5 14.721H8c-.51 0-.863-.069-1.14-.164-.281-.097-.506-.228-.776-.393l-.04-.024c-.555-.339-1.198-.731-2.49-.868-.333-.036-.554-.29-.554-.55V8.72c0-.254.226-.543.62-.65 1.095-.3 1.977-.996 2.614-1.708.635-.71 1.064-1.475 1.238-1.978.243-.7.407-1.768.482-2.85.025-.362.36-.594.667-.518l.262.066c.16.04.258.143.288.255a8.34 8.34 0 0 1-.145 4.725.5.5 0 0 0 .595.644l.003-.001.014-.003.058-.014a8.908 8.908 0 0 1 1.036-.157c.663-.06 1.457-.054 2.11.164.175.058.45.3.57.65.107.308.087.67-.266 1.022l-.353.353.353.354c.043.043.105.141.154.315.048.167.075.37.075.581 0 .212-.027.414-.075.582-.05.174-.111.272-.154.315l-.353.353.353.354c.047.047.109.177.005.488a2.224 2.224 0 0 1-.505.805l-.353.353.353.354c.006.005.041.05.041.17a.866.866 0 0 1-.121.416c-.165.288-.503.56-1.066.56z" })));
};
exports.ThumbUp = ThumbUp;
const ThumbUpFill = ({ ...rest }) => {
    return (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", ...rest, viewBox: "0 0 16 16" },
        react_1.default.createElement("path", { d: "M6.956 1.745C7.021.81 7.908.087 8.864.325l.261.066c.463.116.874.456 1.012.965.22.816.533 2.511.062 4.51a9.84 9.84 0 0 1 .443-.051c.713-.065 1.669-.072 2.516.21.518.173.994.681 1.2 1.273.184.532.16 1.162-.234 1.733.058.119.103.242.138.363.077.27.113.567.113.856 0 .289-.036.586-.113.856-.039.135-.09.273-.16.404.169.387.107.819-.003 1.148a3.163 3.163 0 0 1-.488.901c.054.152.076.312.076.465 0 .305-.089.625-.253.912C13.1 15.522 12.437 16 11.5 16H8c-.605 0-1.07-.081-1.466-.218a4.82 4.82 0 0 1-.97-.484l-.048-.03c-.504-.307-.999-.609-2.068-.722C2.682 14.464 2 13.846 2 13V9c0-.85.685-1.432 1.357-1.615.849-.232 1.574-.787 2.132-1.41.56-.627.914-1.28 1.039-1.639.199-.575.356-1.539.428-2.59z" })));
};
exports.ThumbUpFill = ThumbUpFill;
const XSquare = ({ ...rest }) => {
    return (react_1.default.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", ...rest, viewBox: "0 0 16 16" },
        react_1.default.createElement("path", { d: "M14 1a1 1 0 0 1 1 1v12a1 1 0 0 1-1 1H2a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1h12zM2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2z" }),
        react_1.default.createElement("path", { d: "M4.646 4.646a.5.5 0 0 1 .708 0L8 7.293l2.646-2.647a.5.5 0 0 1 .708.708L8.707 8l2.647 2.646a.5.5 0 0 1-.708.708L8 8.707l-2.646 2.647a.5.5 0 0 1-.708-.708L7.293 8 4.646 5.354a.5.5 0 0 1 0-.708z" })));
};
exports.XSquare = XSquare;
var KnownIcon;
(function (KnownIcon) {
    KnownIcon[KnownIcon["BookmarkCheckFill"] = 0] = "BookmarkCheckFill";
    KnownIcon[KnownIcon["CameraVideo"] = 1] = "CameraVideo";
    KnownIcon[KnownIcon["CameraVideoSlash"] = 2] = "CameraVideoSlash";
    KnownIcon[KnownIcon["CameraVideoFill"] = 3] = "CameraVideoFill";
    KnownIcon[KnownIcon["CameraVideoFillSlash"] = 4] = "CameraVideoFillSlash";
    KnownIcon[KnownIcon["CaretDownFill"] = 5] = "CaretDownFill";
    KnownIcon[KnownIcon["Eye"] = 6] = "Eye";
    KnownIcon[KnownIcon["EyeFill"] = 7] = "EyeFill";
    KnownIcon[KnownIcon["Film"] = 8] = "Film";
    KnownIcon[KnownIcon["Image"] = 9] = "Image";
    KnownIcon[KnownIcon["List"] = 10] = "List";
    KnownIcon[KnownIcon["MagnifyingGlass"] = 11] = "MagnifyingGlass";
    KnownIcon[KnownIcon["PersonCircle"] = 12] = "PersonCircle";
    KnownIcon[KnownIcon["PersonSquare"] = 13] = "PersonSquare";
    KnownIcon[KnownIcon["ThumbDown"] = 14] = "ThumbDown";
    KnownIcon[KnownIcon["ThumbDownFill"] = 15] = "ThumbDownFill";
    KnownIcon[KnownIcon["ThumbUp"] = 16] = "ThumbUp";
    KnownIcon[KnownIcon["ThumbUpFill"] = 17] = "ThumbUpFill";
    KnownIcon[KnownIcon["XSquare"] = 18] = "XSquare";
})(KnownIcon = exports.KnownIcon || (exports.KnownIcon = {}));
const Icon = ({ knownIcon, ...rest }) => {
    switch (knownIcon) {
        case KnownIcon.BookmarkCheckFill:
            return react_1.default.createElement(exports.BookmarkCheckFill, { ...rest });
        case KnownIcon.CameraVideo:
            return react_1.default.createElement(exports.CameraVideo, { ...rest });
        case KnownIcon.CameraVideoSlash:
            return react_1.default.createElement(exports.CameraVideoSlash, { ...rest });
        case KnownIcon.CameraVideoFill:
            return react_1.default.createElement(exports.CameraVideoFill, { ...rest });
        case KnownIcon.CameraVideoFillSlash:
            return react_1.default.createElement(exports.CameraVideoFillSlash, { ...rest });
        case KnownIcon.CaretDownFill:
            return react_1.default.createElement(exports.CaretDownFill, { ...rest });
        case KnownIcon.Eye:
            return react_1.default.createElement(exports.Eye, { ...rest });
        case KnownIcon.EyeFill:
            return react_1.default.createElement(exports.EyeFill, { ...rest });
        case KnownIcon.Film:
            return react_1.default.createElement(exports.Film, { ...rest });
        case KnownIcon.Image:
            return react_1.default.createElement(exports.Image, { ...rest });
        case KnownIcon.List:
            return react_1.default.createElement(exports.List, { ...rest });
        case KnownIcon.MagnifyingGlass:
            return react_1.default.createElement(exports.MagnifyingGlass, { ...rest });
        case KnownIcon.PersonCircle:
            return react_1.default.createElement(exports.PersonCircle, { ...rest });
        case KnownIcon.PersonSquare:
            return react_1.default.createElement(exports.PersonSquare, { ...rest });
        case KnownIcon.ThumbDown:
            return react_1.default.createElement(exports.ThumbDown, { ...rest });
        case KnownIcon.ThumbDownFill:
            return react_1.default.createElement(exports.ThumbDownFill, { ...rest });
        case KnownIcon.ThumbUp:
            return react_1.default.createElement(exports.ThumbUp, { ...rest });
        case KnownIcon.ThumbUpFill:
            return react_1.default.createElement(exports.ThumbUpFill, { ...rest });
        case KnownIcon.XSquare:
            return react_1.default.createElement(exports.XSquare, { ...rest });
    }
};
exports.Icon = Icon;
//# sourceMappingURL=index.js.map