import { CSSProperties } from 'react';
export declare const copyToClipboard: (textToCopy: string) => Promise<void>;
export declare const createRequestInit: (data?: any, bearerToken?: string, method?: string) => RequestInit;
export declare const defaultQueries: string[];
export declare function downloadObject(o: any, fileName: string): void;
export declare const emptyGuid = "00000000-0000-0000-0000-000000000000";
export declare function executeFetchAsync(url: string, data?: any, bearerToken?: string, method?: string): Promise<any>;
export declare function executeFetchSync(url: string, data?: any, bearerToken?: string, method?: string): any;
export declare function getQueryParam(key: string, defaultValue?: string): string;
export declare function getStorageItem(key: string): any;
export declare function getUniqueList(arr1: any[], arr2: any[]): any[];
export declare function getUniqueListBy(key: string, arr1: any[], arr2: any[]): any[];
export declare const getUniqueValues: (items: any[], prop: string, removeEmpties?: boolean) => any[];
export declare const isBrowser: false | (Window & typeof globalThis);
export declare const masonryQueries: string[];
export declare function setStorageItem(key: string, obj: any): void;
export declare enum Size {
    sm = 0,
    md = 1,
    lg = 2,
    xl = 3,
    xxl = 4,
    fluid = 5
}
export declare const sumPropertyValue: (items: any[], prop: string) => any;
export declare enum UiFunction {
    Primary = "primary",
    Secondary = "secondary",
    Success = "success",
    Danger = "danger",
    Warning = "warning",
    Info = "info",
    Light = "light",
    Dark = "dark",
    Link = "link"
}
export declare function useColumnSizes(size: Size, colSpan: number): CSSProperties;
export declare function useColumnWidths(width: number): string;
export declare function useContainerSizes(size: Size): string;
export declare function useMasonryColumns(): number;
export declare function useMedia<T>(queries: string[], values: T[], defaultValue: T): T;
export declare function usePrevious<T>(value: T): T | undefined;
export declare function useWindowSize(): {
    width: number;
    height: number;
};
