"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopyValue = void 0;
const react_1 = __importStar(require("react"));
const utilities_1 = require("../utilities");
const CopyValue = ({ value }) => {
    const [buttonText, setButtonText] = (0, react_1.useState)('Copy');
    const copyClicked = (e) => {
        (0, utilities_1.copyToClipboard)(value)
            .then(() => {
            setButtonText("Copied");
            window.setTimeout(() => {
                setButtonText('Copy');
            }, 3000);
        })
            .catch(e => console.error(e));
    };
    return (react_1.default.createElement("div", { className: "input-group mb-3" },
        react_1.default.createElement("input", { value: value, type: "text", className: "form-control bg-light text-dark", placeholder: "Share Link", "aria-label": "Share Link", "aria-describedby": "button-addon2", readOnly: true }),
        react_1.default.createElement("button", { onClick: (e) => { copyClicked(e); }, className: "btn btn-outline-secondary", type: "button", id: "button-addon2" }, buttonText)));
};
exports.CopyValue = CopyValue;
//# sourceMappingURL=copyValue.js.map