import React, { ComponentPropsWithoutRef } from "react";
import { UiFunction } from "../utilities";
export interface ITimeoutBar extends ComponentPropsWithoutRef<'div'> {
    uiFunction?: UiFunction;
    duration?: number;
    height?: string;
}
export declare const TimeoutBar: ({ duration, height, uiFunction }: ITimeoutBar) => React.JSX.Element;
