"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
const useScriptLoader_1 = __importDefault(require("./useScriptLoader"));
function useGoogle() {
    const [g, setGoogle] = (0, react_1.useState)();
    const googleScriptLoaded = (0, useScriptLoader_1.default)('https://www.gstatic.com/charts/loader.js');
    (0, react_1.useEffect)(() => {
        if (!googleScriptLoaded)
            return;
        const checkGoogle = () => {
            if (window.google) {
                setGoogle(window.google);
            }
            else {
                setTimeout(checkGoogle, 100);
            }
        };
        checkGoogle();
        return () => { };
    }, [googleScriptLoaded]);
    return g;
}
exports.default = useGoogle;
//# sourceMappingURL=useGoogle.js.map